#include "EsoAcsammm_Header.hpp"
// ++++++++++++++++++++++++++++++++++
// + Code generated by dcc 1.0      +
// ++++++++++++++++++++++++++++++++++
void t2_a1_res(int bmode_1, double* yy, double* t2_yy, double* a1_yy, double* t2_a1_yy, double* der_x, double* t2_der_x, double* a1_der_x, double* t2_a1_der_x, double* x, double* t2_x, double* a1_x, double* t2_a1_x, double* p, double* t2_p, double* a1_p, double* t2_a1_p, int* condit, int* lock, int* prev, int& n_x, int& n_p, int& n_c)
#pragma ad indep x t2_x a1_x t2_a1_x p t2_p a1_p t2_a1_p a1_yy t2_a1_yy
#pragma ad dep yy t2_yy a1_x t2_a1_x a1_p t2_a1_p
{
   int i_E=0; 
   int i_C=0; 
   int i__=0; 
   int j__=0; 
   int k__=0; 
   int m__=0; 
   int r_i=0; 
   int r_j=0; 
   int i_a=0; 
   int i_b=0; 
   int i_loop=0; 
   int i__switch=0; 
   int i__start=0; 
   int i__end=0; 
   int i__step=0; 
   int while_end=0; 
   int i_cont=0; 
   int j_cont=0; 
   int k_cont=0; 
   double var_pi=0; 
   double t2_var_pi=0; 
   double a1_var_pi=0; 
   double t2_a1_var_pi=0; 
   double par_accel=0; 
   double t2_par_accel=0; 
   double a1_par_accel=0; 
   double t2_a1_par_accel=0; 
   double par_alpha=0; 
   double t2_par_alpha=0; 
   double a1_par_alpha=0; 
   double t2_a1_par_alpha=0; 
   double par_tf=0; 
   double t2_par_tf=0; 
   double a1_par_tf=0; 
   double t2_a1_par_tf=0; 
   double var_ttime=0; 
   double t2_var_ttime=0; 
   double a1_var_ttime=0; 
   double t2_a1_var_ttime=0; 
   double der_var_ttime=0; 
   double t2_der_var_ttime=0; 
   double a1_der_var_ttime=0; 
   double t2_a1_der_var_ttime=0; 
   double var_velo=0; 
   double t2_var_velo=0; 
   double a1_var_velo=0; 
   double t2_a1_var_velo=0; 
   double der_var_velo=0; 
   double t2_der_var_velo=0; 
   double a1_der_var_velo=0; 
   double t2_a1_der_var_velo=0; 
   double var_dist=0; 
   double t2_var_dist=0; 
   double a1_var_dist=0; 
   double t2_a1_var_dist=0; 
   double der_var_dist=0; 
   double t2_der_var_dist=0; 
   double a1_der_var_dist=0; 
   double t2_a1_der_var_dist=0; 
   int i_i=0; 
   int i_j=0; 
   int i_z=0; 
   double v1_0=0; 
   double t2_v1_0=0; 
   double a1_v1_0=0; 
   double t2_a1_v1_0=0; 
   double v1_1=0; 
   double t2_v1_1=0; 
   double a1_v1_1=0; 
   double t2_a1_v1_1=0; 
   double v1_2=0; 
   double t2_v1_2=0; 
   double a1_v1_2=0; 
   double t2_a1_v1_2=0; 
   double v1_3=0; 
   double t2_v1_3=0; 
   double a1_v1_3=0; 
   double t2_a1_v1_3=0; 
   double v1_4=0; 
   double t2_v1_4=0; 
   double a1_v1_4=0; 
   double t2_a1_v1_4=0; 
   double v1_5=0; 
   double t2_v1_5=0; 
   double a1_v1_5=0; 
   double t2_a1_v1_5=0; 
   double v1_6=0; 
   double t2_v1_6=0; 
   double a1_v1_6=0; 
   double t2_a1_v1_6=0; 
   double v1_7=0; 
   double t2_v1_7=0; 
   double a1_v1_7=0; 
   double t2_a1_v1_7=0; 
   double v1_8=0; 
   double t2_v1_8=0; 
   double a1_v1_8=0; 
   double t2_a1_v1_8=0; 
   double v1_9=0; 
   double t2_v1_9=0; 
   double a1_v1_9=0; 
   double t2_a1_v1_9=0; 
   double v1_10=0; 
   double t2_v1_10=0; 
   double a1_v1_10=0; 
   double t2_a1_v1_10=0; 
   double v1_11=0; 
   double t2_v1_11=0; 
   double a1_v1_11=0; 
   double t2_a1_v1_11=0; 
   double v1_12=0; 
   double t2_v1_12=0; 
   double a1_v1_12=0; 
   double t2_a1_v1_12=0; 
   int save_acs_cs_c=0; 
   double v2_0=0; 
   double t2_v2_0=0; 
   double v2_1=0; 
   double t2_v2_1=0; 
   double v2_2=0; 
   double t2_v2_2=0; 
   double v2_3=0; 
   double t2_v2_3=0; 
   double v2_4=0; 
   double t2_v2_4=0; 
   double v2_5=0; 
   double t2_v2_5=0; 
   double v2_6=0; 
   double t2_v2_6=0; 
   double v2_7=0; 
   double t2_v2_7=0; 
   double v2_8=0; 
   double t2_v2_8=0; 
   double v2_9=0; 
   double t2_v2_9=0; 
   double v2_10=0; 
   double t2_v2_10=0; 
   double v2_11=0; 
   double t2_v2_11=0; 
   double v2_12=0; 
   double t2_v2_12=0; 
   // nonfloat assignment
   save_acs_cs_c=acs_cs_c;
   if (bmode_1==1) {
      // nonfloat assignment
      acs_cs[acs_cs_c]=0;
      // nonfloat assignment
      acs_cs_c=acs_cs_c+1;
      t2_v2_0=t2_var_pi; // TLM scalar memory reference
      v2_0=var_pi; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=0;  // TLM constant reference
      v2_0=3.14159;  // SAC constant reference
      t2_var_pi=t2_v2_0; // TLM =
      var_pi=v2_0; // SAC =
      t2_v2_0=t2_par_accel; // TLM scalar memory reference
      v2_0=par_accel; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_p[0]; // TLM array memory reference
      v2_0=p[0]; // SAC array memory reference
      t2_par_accel=t2_v2_0; // TLM =
      par_accel=v2_0; // SAC =
      t2_v2_0=t2_par_alpha; // TLM scalar memory reference
      v2_0=par_alpha; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_p[1]; // TLM array memory reference
      v2_0=p[1]; // SAC array memory reference
      t2_par_alpha=t2_v2_0; // TLM =
      par_alpha=v2_0; // SAC =
      t2_v2_0=t2_par_tf; // TLM scalar memory reference
      v2_0=par_tf; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_p[2]; // TLM array memory reference
      v2_0=p[2]; // SAC array memory reference
      t2_par_tf=t2_v2_0; // TLM =
      par_tf=v2_0; // SAC =
      t2_v2_0=t2_var_ttime; // TLM scalar memory reference
      v2_0=var_ttime; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_x[0]; // TLM array memory reference
      v2_0=x[0]; // SAC array memory reference
      t2_var_ttime=t2_v2_0; // TLM =
      var_ttime=v2_0; // SAC =
      t2_v2_0=t2_der_var_ttime; // TLM scalar memory reference
      v2_0=der_var_ttime; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_der_x[0]; // TLM array memory reference
      v2_0=der_x[0]; // SAC array memory reference
      t2_der_var_ttime=t2_v2_0; // TLM =
      der_var_ttime=v2_0; // SAC =
      t2_v2_0=t2_var_velo; // TLM scalar memory reference
      v2_0=var_velo; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_x[1]; // TLM array memory reference
      v2_0=x[1]; // SAC array memory reference
      t2_var_velo=t2_v2_0; // TLM =
      var_velo=v2_0; // SAC =
      t2_v2_0=t2_der_var_velo; // TLM scalar memory reference
      v2_0=der_var_velo; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_der_x[1]; // TLM array memory reference
      v2_0=der_x[1]; // SAC array memory reference
      t2_der_var_velo=t2_v2_0; // TLM =
      der_var_velo=v2_0; // SAC =
      t2_v2_0=t2_var_dist; // TLM scalar memory reference
      v2_0=var_dist; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_x[2]; // TLM array memory reference
      v2_0=x[2]; // SAC array memory reference
      t2_var_dist=t2_v2_0; // TLM =
      var_dist=v2_0; // SAC =
      t2_v2_0=t2_der_var_dist; // TLM scalar memory reference
      v2_0=der_var_dist; // SAC scalar memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_der_x[2]; // TLM array memory reference
      v2_0=der_x[2]; // SAC array memory reference
      t2_der_var_dist=t2_v2_0; // TLM =
      der_var_dist=v2_0; // SAC =
      t2_v2_0=t2_yy[i_E]; // TLM array memory reference
      v2_0=yy[i_E]; // SAC array memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_der_var_dist; // TLM scalar memory reference
      v2_0=der_var_dist; // SAC scalar memory reference
      t2_v2_1=t2_par_tf; // TLM scalar memory reference
      v2_1=par_tf; // SAC scalar memory reference
      t2_v2_2=t2_var_velo; // TLM scalar memory reference
      v2_2=var_velo; // SAC scalar memory reference
      t2_v2_3=v2_2*t2_v2_1+v2_1*t2_v2_2; // TLM *
      v2_3=v2_1*v2_2; // SAC *
      t2_v2_4=t2_v2_3; // TLM ()
      v2_4=v2_3; // SAC ()
      t2_v2_5=t2_v2_0-t2_v2_4; // TLM -
      v2_5=v2_0-v2_4; // SAC -
      t2_yy[i_E]=t2_v2_5; // TLM =
      yy[i_E]=v2_5; // SAC =
      // nonfloat assignment
      acs_ids[acs_ids_c]=i_E;
      // nonfloat assignment
      acs_ids_c=acs_ids_c+1;
      // nonfloat assignment
      i_E=i_E+1;
      t2_v2_0=t2_yy[i_E]; // TLM array memory reference
      v2_0=yy[i_E]; // SAC array memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_der_var_ttime; // TLM scalar memory reference
      v2_0=der_var_ttime; // SAC scalar memory reference
      t2_v2_1=t2_par_tf; // TLM scalar memory reference
      v2_1=par_tf; // SAC scalar memory reference
      t2_v2_2=0;  // TLM constant reference
      v2_2=1;  // SAC constant reference
      t2_v2_3=v2_2*t2_v2_1+v2_1*t2_v2_2; // TLM *
      v2_3=v2_1*v2_2; // SAC *
      t2_v2_4=t2_v2_3; // TLM ()
      v2_4=v2_3; // SAC ()
      t2_v2_5=t2_v2_0-t2_v2_4; // TLM -
      v2_5=v2_0-v2_4; // SAC -
      t2_yy[i_E]=t2_v2_5; // TLM =
      yy[i_E]=v2_5; // SAC =
      // nonfloat assignment
      acs_ids[acs_ids_c]=i_E;
      // nonfloat assignment
      acs_ids_c=acs_ids_c+1;
      // nonfloat assignment
      i_E=i_E+1;
      t2_v2_0=t2_yy[i_E]; // TLM array memory reference
      v2_0=yy[i_E]; // SAC array memory reference
      t2_acs_fds[acs_fds_c]=t2_v2_0; // TLM =
      acs_fds[acs_fds_c]=v2_0; // SAC =
      // nonfloat assignment
      acs_fds_c=acs_fds_c+1;
      t2_v2_0=t2_der_var_velo; // TLM scalar memory reference
      v2_0=der_var_velo; // SAC scalar memory reference
      t2_v2_1=t2_par_tf; // TLM scalar memory reference
      v2_1=par_tf; // SAC scalar memory reference
      t2_v2_2=t2_par_accel; // TLM scalar memory reference
      v2_2=par_accel; // SAC scalar memory reference
      t2_v2_3=t2_par_alpha; // TLM scalar memory reference
      v2_3=par_alpha; // SAC scalar memory reference
      t2_v2_4=t2_var_velo; // TLM scalar memory reference
      v2_4=var_velo; // SAC scalar memory reference
      t2_v2_5=v2_4*t2_v2_3+v2_3*t2_v2_4; // TLM *
      v2_5=v2_3*v2_4; // SAC *
      t2_v2_6=t2_var_velo; // TLM scalar memory reference
      v2_6=var_velo; // SAC scalar memory reference
      t2_v2_7=v2_6*t2_v2_5+v2_5*t2_v2_6; // TLM *
      v2_7=v2_5*v2_6; // SAC *
      t2_v2_8=t2_v2_2-t2_v2_7; // TLM -
      v2_8=v2_2-v2_7; // SAC -
      t2_v2_9=t2_v2_8; // TLM ()
      v2_9=v2_8; // SAC ()
      t2_v2_10=v2_9*t2_v2_1+v2_1*t2_v2_9; // TLM *
      v2_10=v2_1*v2_9; // SAC *
      t2_v2_11=t2_v2_10; // TLM ()
      v2_11=v2_10; // SAC ()
      t2_v2_12=t2_v2_0-t2_v2_11; // TLM -
      v2_12=v2_0-v2_11; // SAC -
      t2_yy[i_E]=t2_v2_12; // TLM =
      yy[i_E]=v2_12; // SAC =
      // nonfloat assignment
      acs_ids[acs_ids_c]=i_E;
      // nonfloat assignment
      acs_ids_c=acs_ids_c+1;
      // nonfloat assignment
      i_E=i_E+1;
      // nonfloat assignment
      acs_ids[acs_ids_c]=n_c;
      // nonfloat assignment
      acs_ids_c=acs_ids_c+1;
      // nonfloat assignment
      n_c=i_C;
      while (acs_cs_c>save_acs_cs_c) {
         // nonfloat assignment
         acs_cs_c=acs_cs_c-1;
         if (acs_cs[acs_cs_c]==0) {
            // nonfloat assignment
            acs_ids_c=acs_ids_c-1;
            // nonfloat assignment
            n_c=acs_ids[acs_ids_c];
            // nonfloat assignment
            acs_ids_c=acs_ids_c-1;
            // nonfloat assignment
            i_E=acs_ids[acs_ids_c];
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_yy[i_E]=t2_v2_0; // TLM =
            yy[i_E]=v2_0; // SAC =
            t2_v2_0=t2_der_var_velo; // TLM scalar memory reference
            v2_0=der_var_velo; // SAC scalar memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_par_tf; // TLM scalar memory reference
            v2_0=par_tf; // SAC scalar memory reference
            t2_v1_1=t2_v2_0; // TLM =
            v1_1=v2_0; // SAC =
            t2_v2_0=t2_par_accel; // TLM scalar memory reference
            v2_0=par_accel; // SAC scalar memory reference
            t2_v1_2=t2_v2_0; // TLM =
            v1_2=v2_0; // SAC =
            t2_v2_0=t2_par_alpha; // TLM scalar memory reference
            v2_0=par_alpha; // SAC scalar memory reference
            t2_v1_3=t2_v2_0; // TLM =
            v1_3=v2_0; // SAC =
            t2_v2_0=t2_var_velo; // TLM scalar memory reference
            v2_0=var_velo; // SAC scalar memory reference
            t2_v1_4=t2_v2_0; // TLM =
            v1_4=v2_0; // SAC =
            t2_v2_0=t2_v1_3; // TLM scalar memory reference
            v2_0=v1_3; // SAC scalar memory reference
            t2_v2_1=t2_v1_4; // TLM scalar memory reference
            v2_1=v1_4; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_v1_5=t2_v2_2; // TLM =
            v1_5=v2_2; // SAC =
            t2_v2_0=t2_var_velo; // TLM scalar memory reference
            v2_0=var_velo; // SAC scalar memory reference
            t2_v1_6=t2_v2_0; // TLM =
            v1_6=v2_0; // SAC =
            t2_v2_0=t2_v1_5; // TLM scalar memory reference
            v2_0=v1_5; // SAC scalar memory reference
            t2_v2_1=t2_v1_6; // TLM scalar memory reference
            v2_1=v1_6; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_v1_7=t2_v2_2; // TLM =
            v1_7=v2_2; // SAC =
            t2_v2_0=t2_v1_2; // TLM scalar memory reference
            v2_0=v1_2; // SAC scalar memory reference
            t2_v2_1=t2_v1_7; // TLM scalar memory reference
            v2_1=v1_7; // SAC scalar memory reference
            t2_v2_2=t2_v2_0-t2_v2_1; // TLM -
            v2_2=v2_0-v2_1; // SAC -
            t2_v1_8=t2_v2_2; // TLM =
            v1_8=v2_2; // SAC =
            t2_v2_0=t2_v1_8; // TLM scalar memory reference
            v2_0=v1_8; // SAC scalar memory reference
            t2_v1_9=t2_v2_0; // TLM =
            v1_9=v2_0; // SAC =
            t2_v2_0=t2_v1_1; // TLM scalar memory reference
            v2_0=v1_1; // SAC scalar memory reference
            t2_v2_1=t2_v1_9; // TLM scalar memory reference
            v2_1=v1_9; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_v1_10=t2_v2_2; // TLM =
            v1_10=v2_2; // SAC =
            t2_v2_0=t2_v1_10; // TLM scalar memory reference
            v2_0=v1_10; // SAC scalar memory reference
            t2_v1_11=t2_v2_0; // TLM =
            v1_11=v2_0; // SAC =
            t2_v2_0=t2_v1_0; // TLM scalar memory reference
            v2_0=v1_0; // SAC scalar memory reference
            t2_v2_1=t2_v1_11; // TLM scalar memory reference
            v2_1=v1_11; // SAC scalar memory reference
            t2_v2_2=t2_v2_0-t2_v2_1; // TLM -
            v2_2=v2_0-v2_1; // SAC -
            t2_v1_12=t2_v2_2; // TLM =
            v1_12=v2_2; // SAC =
            t2_v2_0=t2_a1_yy[i_E]; // TLM array memory reference
            v2_0=a1_yy[i_E]; // SAC array memory reference
            t2_a1_v1_12=t2_v2_0; // TLM =
            a1_v1_12=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_yy[i_E]=t2_v2_0; // TLM =
            a1_yy[i_E]=v2_0; // SAC =
            t2_v2_0=t2_a1_v1_12; // TLM scalar memory reference
            v2_0=a1_v1_12; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_v2_1=t2_a1_v1_12; // TLM scalar memory reference
            v2_1=a1_v1_12; // SAC scalar memory reference
            t2_v2_2=t2_v2_0-t2_v2_1; // TLM -
            v2_2=v2_0-v2_1; // SAC -
            t2_a1_v1_11=t2_v2_2; // TLM =
            a1_v1_11=v2_2; // SAC =
            t2_v2_0=t2_a1_v1_11; // TLM scalar memory reference
            v2_0=a1_v1_11; // SAC scalar memory reference
            t2_a1_v1_10=t2_v2_0; // TLM =
            a1_v1_10=v2_0; // SAC =
            t2_v2_0=t2_v1_9; // TLM scalar memory reference
            v2_0=v1_9; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_10; // TLM scalar memory reference
            v2_1=a1_v1_10; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_a1_v1_1=t2_v2_2; // TLM =
            a1_v1_1=v2_2; // SAC =
            t2_v2_0=t2_v1_1; // TLM scalar memory reference
            v2_0=v1_1; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_10; // TLM scalar memory reference
            v2_1=a1_v1_10; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_a1_v1_9=t2_v2_2; // TLM =
            a1_v1_9=v2_2; // SAC =
            t2_v2_0=t2_a1_v1_9; // TLM scalar memory reference
            v2_0=a1_v1_9; // SAC scalar memory reference
            t2_a1_v1_8=t2_v2_0; // TLM =
            a1_v1_8=v2_0; // SAC =
            t2_v2_0=t2_a1_v1_8; // TLM scalar memory reference
            v2_0=a1_v1_8; // SAC scalar memory reference
            t2_a1_v1_2=t2_v2_0; // TLM =
            a1_v1_2=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_v2_1=t2_a1_v1_8; // TLM scalar memory reference
            v2_1=a1_v1_8; // SAC scalar memory reference
            t2_v2_2=t2_v2_0-t2_v2_1; // TLM -
            v2_2=v2_0-v2_1; // SAC -
            t2_a1_v1_7=t2_v2_2; // TLM =
            a1_v1_7=v2_2; // SAC =
            t2_v2_0=t2_v1_6; // TLM scalar memory reference
            v2_0=v1_6; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_7; // TLM scalar memory reference
            v2_1=a1_v1_7; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_a1_v1_5=t2_v2_2; // TLM =
            a1_v1_5=v2_2; // SAC =
            t2_v2_0=t2_v1_5; // TLM scalar memory reference
            v2_0=v1_5; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_7; // TLM scalar memory reference
            v2_1=a1_v1_7; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_a1_v1_6=t2_v2_2; // TLM =
            a1_v1_6=v2_2; // SAC =
            t2_v2_0=t2_a1_var_velo; // TLM scalar memory reference
            v2_0=a1_var_velo; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_6; // TLM scalar memory reference
            v2_1=a1_v1_6; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_var_velo=t2_v2_2; // TLM =
            a1_var_velo=v2_2; // SAC =
            t2_v2_0=t2_v1_4; // TLM scalar memory reference
            v2_0=v1_4; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_5; // TLM scalar memory reference
            v2_1=a1_v1_5; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_a1_v1_3=t2_v2_2; // TLM =
            a1_v1_3=v2_2; // SAC =
            t2_v2_0=t2_v1_3; // TLM scalar memory reference
            v2_0=v1_3; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_5; // TLM scalar memory reference
            v2_1=a1_v1_5; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_a1_v1_4=t2_v2_2; // TLM =
            a1_v1_4=v2_2; // SAC =
            t2_v2_0=t2_a1_var_velo; // TLM scalar memory reference
            v2_0=a1_var_velo; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_4; // TLM scalar memory reference
            v2_1=a1_v1_4; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_var_velo=t2_v2_2; // TLM =
            a1_var_velo=v2_2; // SAC =
            t2_v2_0=t2_a1_par_alpha; // TLM scalar memory reference
            v2_0=a1_par_alpha; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_3; // TLM scalar memory reference
            v2_1=a1_v1_3; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_par_alpha=t2_v2_2; // TLM =
            a1_par_alpha=v2_2; // SAC =
            t2_v2_0=t2_a1_par_accel; // TLM scalar memory reference
            v2_0=a1_par_accel; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_2; // TLM scalar memory reference
            v2_1=a1_v1_2; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_par_accel=t2_v2_2; // TLM =
            a1_par_accel=v2_2; // SAC =
            t2_v2_0=t2_a1_par_tf; // TLM scalar memory reference
            v2_0=a1_par_tf; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_1; // TLM scalar memory reference
            v2_1=a1_v1_1; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_par_tf=t2_v2_2; // TLM =
            a1_par_tf=v2_2; // SAC =
            t2_v2_0=t2_a1_der_var_velo; // TLM scalar memory reference
            v2_0=a1_der_var_velo; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_der_var_velo=t2_v2_2; // TLM =
            a1_der_var_velo=v2_2; // SAC =
            // nonfloat assignment
            acs_ids_c=acs_ids_c-1;
            // nonfloat assignment
            i_E=acs_ids[acs_ids_c];
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_yy[i_E]=t2_v2_0; // TLM =
            yy[i_E]=v2_0; // SAC =
            t2_v2_0=t2_der_var_ttime; // TLM scalar memory reference
            v2_0=der_var_ttime; // SAC scalar memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_par_tf; // TLM scalar memory reference
            v2_0=par_tf; // SAC scalar memory reference
            t2_v1_1=t2_v2_0; // TLM =
            v1_1=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=1;  // SAC constant reference
            t2_v1_2=t2_v2_0; // TLM =
            v1_2=v2_0; // SAC =
            t2_v2_0=t2_v1_1; // TLM scalar memory reference
            v2_0=v1_1; // SAC scalar memory reference
            t2_v2_1=t2_v1_2; // TLM scalar memory reference
            v2_1=v1_2; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_v1_3=t2_v2_2; // TLM =
            v1_3=v2_2; // SAC =
            t2_v2_0=t2_v1_3; // TLM scalar memory reference
            v2_0=v1_3; // SAC scalar memory reference
            t2_v1_4=t2_v2_0; // TLM =
            v1_4=v2_0; // SAC =
            t2_v2_0=t2_v1_0; // TLM scalar memory reference
            v2_0=v1_0; // SAC scalar memory reference
            t2_v2_1=t2_v1_4; // TLM scalar memory reference
            v2_1=v1_4; // SAC scalar memory reference
            t2_v2_2=t2_v2_0-t2_v2_1; // TLM -
            v2_2=v2_0-v2_1; // SAC -
            t2_v1_5=t2_v2_2; // TLM =
            v1_5=v2_2; // SAC =
            t2_v2_0=t2_a1_yy[i_E]; // TLM array memory reference
            v2_0=a1_yy[i_E]; // SAC array memory reference
            t2_a1_v1_5=t2_v2_0; // TLM =
            a1_v1_5=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_yy[i_E]=t2_v2_0; // TLM =
            a1_yy[i_E]=v2_0; // SAC =
            t2_v2_0=t2_a1_v1_5; // TLM scalar memory reference
            v2_0=a1_v1_5; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_v2_1=t2_a1_v1_5; // TLM scalar memory reference
            v2_1=a1_v1_5; // SAC scalar memory reference
            t2_v2_2=t2_v2_0-t2_v2_1; // TLM -
            v2_2=v2_0-v2_1; // SAC -
            t2_a1_v1_4=t2_v2_2; // TLM =
            a1_v1_4=v2_2; // SAC =
            t2_v2_0=t2_a1_v1_4; // TLM scalar memory reference
            v2_0=a1_v1_4; // SAC scalar memory reference
            t2_a1_v1_3=t2_v2_0; // TLM =
            a1_v1_3=v2_0; // SAC =
            t2_v2_0=t2_v1_2; // TLM scalar memory reference
            v2_0=v1_2; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_3; // TLM scalar memory reference
            v2_1=a1_v1_3; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_a1_v1_1=t2_v2_2; // TLM =
            a1_v1_1=v2_2; // SAC =
            t2_v2_0=t2_v1_1; // TLM scalar memory reference
            v2_0=v1_1; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_3; // TLM scalar memory reference
            v2_1=a1_v1_3; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_a1_v1_2=t2_v2_2; // TLM =
            a1_v1_2=v2_2; // SAC =
            t2_v2_0=t2_a1_par_tf; // TLM scalar memory reference
            v2_0=a1_par_tf; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_1; // TLM scalar memory reference
            v2_1=a1_v1_1; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_par_tf=t2_v2_2; // TLM =
            a1_par_tf=v2_2; // SAC =
            t2_v2_0=t2_a1_der_var_ttime; // TLM scalar memory reference
            v2_0=a1_der_var_ttime; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_der_var_ttime=t2_v2_2; // TLM =
            a1_der_var_ttime=v2_2; // SAC =
            // nonfloat assignment
            acs_ids_c=acs_ids_c-1;
            // nonfloat assignment
            i_E=acs_ids[acs_ids_c];
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_yy[i_E]=t2_v2_0; // TLM =
            yy[i_E]=v2_0; // SAC =
            t2_v2_0=t2_der_var_dist; // TLM scalar memory reference
            v2_0=der_var_dist; // SAC scalar memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_par_tf; // TLM scalar memory reference
            v2_0=par_tf; // SAC scalar memory reference
            t2_v1_1=t2_v2_0; // TLM =
            v1_1=v2_0; // SAC =
            t2_v2_0=t2_var_velo; // TLM scalar memory reference
            v2_0=var_velo; // SAC scalar memory reference
            t2_v1_2=t2_v2_0; // TLM =
            v1_2=v2_0; // SAC =
            t2_v2_0=t2_v1_1; // TLM scalar memory reference
            v2_0=v1_1; // SAC scalar memory reference
            t2_v2_1=t2_v1_2; // TLM scalar memory reference
            v2_1=v1_2; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_v1_3=t2_v2_2; // TLM =
            v1_3=v2_2; // SAC =
            t2_v2_0=t2_v1_3; // TLM scalar memory reference
            v2_0=v1_3; // SAC scalar memory reference
            t2_v1_4=t2_v2_0; // TLM =
            v1_4=v2_0; // SAC =
            t2_v2_0=t2_v1_0; // TLM scalar memory reference
            v2_0=v1_0; // SAC scalar memory reference
            t2_v2_1=t2_v1_4; // TLM scalar memory reference
            v2_1=v1_4; // SAC scalar memory reference
            t2_v2_2=t2_v2_0-t2_v2_1; // TLM -
            v2_2=v2_0-v2_1; // SAC -
            t2_v1_5=t2_v2_2; // TLM =
            v1_5=v2_2; // SAC =
            t2_v2_0=t2_a1_yy[i_E]; // TLM array memory reference
            v2_0=a1_yy[i_E]; // SAC array memory reference
            t2_a1_v1_5=t2_v2_0; // TLM =
            a1_v1_5=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_yy[i_E]=t2_v2_0; // TLM =
            a1_yy[i_E]=v2_0; // SAC =
            t2_v2_0=t2_a1_v1_5; // TLM scalar memory reference
            v2_0=a1_v1_5; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_v2_1=t2_a1_v1_5; // TLM scalar memory reference
            v2_1=a1_v1_5; // SAC scalar memory reference
            t2_v2_2=t2_v2_0-t2_v2_1; // TLM -
            v2_2=v2_0-v2_1; // SAC -
            t2_a1_v1_4=t2_v2_2; // TLM =
            a1_v1_4=v2_2; // SAC =
            t2_v2_0=t2_a1_v1_4; // TLM scalar memory reference
            v2_0=a1_v1_4; // SAC scalar memory reference
            t2_a1_v1_3=t2_v2_0; // TLM =
            a1_v1_3=v2_0; // SAC =
            t2_v2_0=t2_v1_2; // TLM scalar memory reference
            v2_0=v1_2; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_3; // TLM scalar memory reference
            v2_1=a1_v1_3; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_a1_v1_1=t2_v2_2; // TLM =
            a1_v1_1=v2_2; // SAC =
            t2_v2_0=t2_v1_1; // TLM scalar memory reference
            v2_0=v1_1; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_3; // TLM scalar memory reference
            v2_1=a1_v1_3; // SAC scalar memory reference
            t2_v2_2=v2_1*t2_v2_0+v2_0*t2_v2_1; // TLM *
            v2_2=v2_0*v2_1; // SAC *
            t2_a1_v1_2=t2_v2_2; // TLM =
            a1_v1_2=v2_2; // SAC =
            t2_v2_0=t2_a1_var_velo; // TLM scalar memory reference
            v2_0=a1_var_velo; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_2; // TLM scalar memory reference
            v2_1=a1_v1_2; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_var_velo=t2_v2_2; // TLM =
            a1_var_velo=v2_2; // SAC =
            t2_v2_0=t2_a1_par_tf; // TLM scalar memory reference
            v2_0=a1_par_tf; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_1; // TLM scalar memory reference
            v2_1=a1_v1_1; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_par_tf=t2_v2_2; // TLM =
            a1_par_tf=v2_2; // SAC =
            t2_v2_0=t2_a1_der_var_dist; // TLM scalar memory reference
            v2_0=a1_der_var_dist; // SAC scalar memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_der_var_dist=t2_v2_2; // TLM =
            a1_der_var_dist=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_der_var_dist=t2_v2_0; // TLM =
            der_var_dist=v2_0; // SAC =
            t2_v2_0=t2_der_x[2]; // TLM array memory reference
            v2_0=der_x[2]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_der_var_dist; // TLM scalar memory reference
            v2_0=a1_der_var_dist; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_der_var_dist=t2_v2_0; // TLM =
            a1_der_var_dist=v2_0; // SAC =
            t2_v2_0=t2_a1_der_x[2]; // TLM array memory reference
            v2_0=a1_der_x[2]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_der_x[2]=t2_v2_2; // TLM =
            a1_der_x[2]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_var_dist=t2_v2_0; // TLM =
            var_dist=v2_0; // SAC =
            t2_v2_0=t2_x[2]; // TLM array memory reference
            v2_0=x[2]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_var_dist; // TLM scalar memory reference
            v2_0=a1_var_dist; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_var_dist=t2_v2_0; // TLM =
            a1_var_dist=v2_0; // SAC =
            t2_v2_0=t2_a1_x[2]; // TLM array memory reference
            v2_0=a1_x[2]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_x[2]=t2_v2_2; // TLM =
            a1_x[2]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_der_var_velo=t2_v2_0; // TLM =
            der_var_velo=v2_0; // SAC =
            t2_v2_0=t2_der_x[1]; // TLM array memory reference
            v2_0=der_x[1]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_der_var_velo; // TLM scalar memory reference
            v2_0=a1_der_var_velo; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_der_var_velo=t2_v2_0; // TLM =
            a1_der_var_velo=v2_0; // SAC =
            t2_v2_0=t2_a1_der_x[1]; // TLM array memory reference
            v2_0=a1_der_x[1]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_der_x[1]=t2_v2_2; // TLM =
            a1_der_x[1]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_var_velo=t2_v2_0; // TLM =
            var_velo=v2_0; // SAC =
            t2_v2_0=t2_x[1]; // TLM array memory reference
            v2_0=x[1]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_var_velo; // TLM scalar memory reference
            v2_0=a1_var_velo; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_var_velo=t2_v2_0; // TLM =
            a1_var_velo=v2_0; // SAC =
            t2_v2_0=t2_a1_x[1]; // TLM array memory reference
            v2_0=a1_x[1]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_x[1]=t2_v2_2; // TLM =
            a1_x[1]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_der_var_ttime=t2_v2_0; // TLM =
            der_var_ttime=v2_0; // SAC =
            t2_v2_0=t2_der_x[0]; // TLM array memory reference
            v2_0=der_x[0]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_der_var_ttime; // TLM scalar memory reference
            v2_0=a1_der_var_ttime; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_der_var_ttime=t2_v2_0; // TLM =
            a1_der_var_ttime=v2_0; // SAC =
            t2_v2_0=t2_a1_der_x[0]; // TLM array memory reference
            v2_0=a1_der_x[0]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_der_x[0]=t2_v2_2; // TLM =
            a1_der_x[0]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_var_ttime=t2_v2_0; // TLM =
            var_ttime=v2_0; // SAC =
            t2_v2_0=t2_x[0]; // TLM array memory reference
            v2_0=x[0]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_var_ttime; // TLM scalar memory reference
            v2_0=a1_var_ttime; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_var_ttime=t2_v2_0; // TLM =
            a1_var_ttime=v2_0; // SAC =
            t2_v2_0=t2_a1_x[0]; // TLM array memory reference
            v2_0=a1_x[0]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_x[0]=t2_v2_2; // TLM =
            a1_x[0]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_par_tf=t2_v2_0; // TLM =
            par_tf=v2_0; // SAC =
            t2_v2_0=t2_p[2]; // TLM array memory reference
            v2_0=p[2]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_par_tf; // TLM scalar memory reference
            v2_0=a1_par_tf; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_par_tf=t2_v2_0; // TLM =
            a1_par_tf=v2_0; // SAC =
            t2_v2_0=t2_a1_p[2]; // TLM array memory reference
            v2_0=a1_p[2]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_p[2]=t2_v2_2; // TLM =
            a1_p[2]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_par_alpha=t2_v2_0; // TLM =
            par_alpha=v2_0; // SAC =
            t2_v2_0=t2_p[1]; // TLM array memory reference
            v2_0=p[1]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_par_alpha; // TLM scalar memory reference
            v2_0=a1_par_alpha; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_par_alpha=t2_v2_0; // TLM =
            a1_par_alpha=v2_0; // SAC =
            t2_v2_0=t2_a1_p[1]; // TLM array memory reference
            v2_0=a1_p[1]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_p[1]=t2_v2_2; // TLM =
            a1_p[1]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_par_accel=t2_v2_0; // TLM =
            par_accel=v2_0; // SAC =
            t2_v2_0=t2_p[0]; // TLM array memory reference
            v2_0=p[0]; // SAC array memory reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_par_accel; // TLM scalar memory reference
            v2_0=a1_par_accel; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_par_accel=t2_v2_0; // TLM =
            a1_par_accel=v2_0; // SAC =
            t2_v2_0=t2_a1_p[0]; // TLM array memory reference
            v2_0=a1_p[0]; // SAC array memory reference
            t2_v2_1=t2_a1_v1_0; // TLM scalar memory reference
            v2_1=a1_v1_0; // SAC scalar memory reference
            t2_v2_2=t2_v2_0+t2_v2_1; // TLM +
            v2_2=v2_0+v2_1; // SAC +
            t2_a1_p[0]=t2_v2_2; // TLM =
            a1_p[0]=v2_2; // SAC =
            // nonfloat assignment
            acs_fds_c=acs_fds_c-1;
            t2_v2_0=t2_acs_fds[acs_fds_c]; // TLM array memory reference
            v2_0=acs_fds[acs_fds_c]; // SAC array memory reference
            t2_var_pi=t2_v2_0; // TLM =
            var_pi=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=3.14159;  // SAC constant reference
            t2_v1_0=t2_v2_0; // TLM =
            v1_0=v2_0; // SAC =
            t2_v2_0=t2_a1_var_pi; // TLM scalar memory reference
            v2_0=a1_var_pi; // SAC scalar memory reference
            t2_a1_v1_0=t2_v2_0; // TLM =
            a1_v1_0=v2_0; // SAC =
            t2_v2_0=0;  // TLM constant reference
            v2_0=0;  // SAC constant reference
            t2_a1_var_pi=t2_v2_0; // TLM =
            a1_var_pi=v2_0; // SAC =
         }
      }
   }
   if (bmode_1==2) {
      t1_res(yy,t2_yy,der_x,t2_der_x,x,t2_x,p,t2_p,condit,lock,prev,n_x,n_p,n_c);
   }
}
